package com.zcloud.service.bus.impl;

import java.util.List;

import com.zcloud.mapper.dsno2.check.ListStatisticsMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.service.bus.ListStatisticsService;

/**
 * 说明：清单统计记录
 * 作者：luoxiaobao
 * 时间：2021-01-27
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class ListStatisticsServiceImpl implements ListStatisticsService{

	@Autowired
	private ListStatisticsMapper listStatisticsMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		listStatisticsMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		listStatisticsMapper.delete(pd);
	}
	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void deletewl(PageData pd)throws Exception{
		listStatisticsMapper.deletewl(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		listStatisticsMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return listStatisticsMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return listStatisticsMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return listStatisticsMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		listStatisticsMapper.deleteAll(ArrayDATA_IDS);
	}

	/**定时器查询
	 * @param pd
	 * @throws Exception
	 */
	@Override
	public PageData findByCondition(PageData pd) throws Exception {
/*		PageData ls = new PageData();
		List<PageData> lsList = listStatisticsMapper.findByCondition(pd);
		if(lsList != null && lsList.size() > 0) {
			ls = lsList.get(0);
		}*/
		return listStatisticsMapper.findByCondition(pd);
	}

	@Override
	public List<PageData> getCountList(PageData pd) throws Exception {
		return listStatisticsMapper.getCountList(pd);
	}

	@Override
	public PageData getTimeAstrict(PageData pd) throws Exception {
		return listStatisticsMapper.getTimeAstrict(pd);
	}

	/**人员应处理清单数
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> countStaByUser(PageData pd)throws Exception{
		return listStatisticsMapper.countStaByUser(pd);
	}

	/**人员应处理清单个数（节假日清单数算1）
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> countListStaByUser(PageData pd)throws Exception{
		return listStatisticsMapper.countListStaByUser(pd);
	}

	/**人员应处理清单数
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> countSta(PageData pd)throws Exception{
		return listStatisticsMapper.countSta(pd);
	}

	/**检查情况列表
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> checkSituation(PageData pd)throws Exception{
		return listStatisticsMapper.checkSituation(pd);
	}

	/**删除待处理清单数（公司试用结束时使用）
	 * @param pd
	 * @throws Exception
	 */
	public void deleteByCorp(PageData pd)throws Exception{
		listStatisticsMapper.deleteByCorp(pd);
	}
}

